Bug 83055 - muttng with header cache will not compile
Summary: muttng with header cache will not compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-06 11:20 UTC by Matthias Fechner
Modified: 2005-07-07 20:39 UTC (History)
0 users

See Also:


Attachments
mutt.diff (2.12 KB, patch)
2005-07-06 13:44 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2005-07-06 11:20:01 UTC
      At compiletime, it get the errormessage:
cc  -Wall -pedantic -O1 -pipe -march=pentiumpro -I/usr/local/include -D_THREAD_SAFE  -rpath=/usr/lib:/usr/local/lib -L/usr/lib -o muttng  patchlist.o addrbook.o  alias.o attach.o base64.o  browser.o buffy.o color.o  compress.o crypt.o cryptglue.o  commands.o complete.o compose.o  copy.o curs_lib.o curs_main.o  date.o edit.o enter.o flags.o  init.o filter.o from.o  getdomain.o handler.o hash.o  hdrline.o headers.o help.o  hook.o keymap.o main.o mbox.o  menu.o mh.o mx.o pager.o  parse.o pattern.o postpone.o  query.o recvattach.o recvcmd.o  rfc822.o rfc1524.o rfc2047.o  rfc2231.o score.o send.o  sendlib.o signal.o sort.o  status.o system.o thread.o  charset.o history.o lib.o  muttlib.o editmsg.o utf8.o  mbyte.o wcwidth.o md5c.o url.o  ascii.o mutt_idna.o sidebar.o  hcache.o crypt-mod.o pgp.o pgpinvoke.o pgpkey.o pgplib.o gnupgparse.o pgpmicalg.o pgppacket.o crypt-mod-pgp-classic.o smime.o crypt-mod-smime-classic.o resize.o account.o mutt_socket.o mutt_tunnel.o mutt_ssl.o mutt_li
 besmtp.o  -Limap -limap -Lpop -lpop   -Llib -lsane -lncurses -lssl -lcrypto -L/usr/local/lib -lesmtp -lssl -lcrypto -pthread -L/usr/local/lib -pthread -lintl -liconv -liconv -L/usr/local/lib -ldb4
muttlib.o(.text+0xc7): In function `mutt_adv_mktemp':
: warning: warning: mktemp() possibly used unsafely; consider using mkstemp()
hcache.o(.text+0x10bf): In function `mutt_hcache_open':
: undefined reference to `db_env_create_4002'
hcache.o(.text+0x114b): In function `mutt_hcache_open':
: undefined reference to `db_create_4002'
*** Error code 1

Stop in /usr/ports/mail/mutt-ng/work/muttng-20050614.
*** Error code 1

How-To-Repeat:       go into the port, type make config and switch headercaching on. Then do a make and you will see the errormessage above.
Comment 1 Andrej Zverev 2005-07-06 13:44:05 UTC
Matthias Fechner wrote:

This will compile, but it's bug in configure.
Actually, mutt-ng need berkely db > 4.0, but in configure still use 4.0
and if you have 4.2 (you have) script will enumerate this stuff, and try
link -ldb4 which not right.
Look at configure:14031
and as quick solution try this patch.
Comment 2 Pav Lucistnik freebsd_committer 2005-07-07 17:02:58 UTC
Dear maintainer of FreeBSD port mail/mutt-ng, please review

http://www.freebsd.org/cgi/query-pr.cgi?q=83055

What now?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Just because you're an angel doesn't mean you have to be a fool.
Comment 3 Vsevolod Stakhov 2005-07-07 20:16:12 UTC
On Thu, Jul 07, 2005 at 06:02:58PM +0200, Pav Lucistnik wrote:
> Dear maintainer of FreeBSD port mail/mutt-ng, please review
> 
> http://www.freebsd.org/cgi/query-pr.cgi?q=83055
> 
> What now?

Yes, I approve this update. I think that PORTREVISION bump is
not required as this change will only affect to some rather specific
cases.
Comment 4 Pav Lucistnik freebsd_committer 2005-07-07 20:39:05 UTC
State Changed
From-To: open->closed

Andrej's patch committed, should be fixed now